#ifndef _COBJECT_HPP_
#define _COBJECT_HPP_

/*** Custom Header Files ***/
#include "Enums.hpp"

/*** DLL Header File ***/
#include "dllExport.h"

namespace GUIHelpers {
	class EXPORT_FROM_MYDLL cObject
	{
	public:
		cObject( const signed int id );
		virtual ~cObject();

		bool operator == (const cObject& other);

		///Functions

		///Sets
		const void setID( const signed int id );

		///Gets
		const signed int getID() const;
		virtual const GUIHelpers::eType getType() const;

	private:
		signed int m_id;// = 0
	};/// END CLASS DEFINITION cObject
}/// END NAMESPACE DEFINITION GUIEngine
#endif/// END IFNDEF _COBJECT_HPP_